##################################################################
#
# makefile
#
# @file        makefile 
# @title       Simulation of the camera and trigger logic
# @author      J C Gonz\'alez
# @email       gonzalez@mppmu.mpg.de
# @date        Fri Mar 12 11:51:11 MET 1999
#
#_______________________________________________________________
#
# Created: Fri Mar 12 11:51:11 MET 1999
# Author:  Jose Carlos Gonzalez
# Purpose: Makefile for the compilation of the camera program
# Notes:   
#    
#---------------------------------------------------------------
#
# $RCSfile: Makefile,v $
# $Revision: 1.17 $
# $Author: blanch $ 
# $Date: 2002-04-27 09:21:29 $
#
##################################################################
# @maintitle

# @code

INCLUDEMK = config.mk.${OSTYPE}
include ${INCLUDEMK}

# @endcode

# @code 

# common flags
INCLUDES = -I${INCLUDE}      \
	-I${INCLUDE_COR}  \
	-I${INCLUDE_MC}   \
	-I${INCLUDE_EVITA}   \
	-I${INCLUDE_EVITA_MC}   \
	-I${INCLUDE_EVITA_RAW}   \
	-I${INCLUDE_EVITA_BASE}   \
	-I${INCLUDE_LONS}   \
	-I${INCLUDE_STAR}   \
	-I${INCLUDE_TRIGGER}   \
	-I${INCLUDE_FADC}   \
	-I${INCLUDE_REFL} \
        -I${INCLUDE_ROOT} \
        -I${INCLUDE_CPLUS}

RANLIB  = -L${RANLIBDIR} -lranlib

# what is needed for ROOT is inside the config.mk... file


# special flags

osf_FORLIBS = -lUfor -lfor -lutil -lots -lm 
#linux_FORLIBS =  -lf2c -lm /usr/lib/libc.a
linux_FORLIBS =  -lm -ldl 
#linux_FORLIBS =  -lm -ldl -rdynamic
generic_FORLIBS = -lm 

FORLIBS = ${${SYSTEM}_FORLIBS}

# compilation and linking flags

CXXFLAGS  = -D__${SYSTEM}__ ${INCLUDES} ${OPTIM} ${DEBUG}
CFLAGS    = ${CXXFLAGS}
FFLAGS    = ${CXXFLAGS}
LIBS      = ${RANLIB} ${ROOTLIBS} ${ROOTGLIBS} ${GLIBS} \
	    ${INCLUDE_EVITA_MC}/mmc.a ${INCLUDE_EVITA_RAW}/mraw.a \
	    ${INCLUDE_EVITA_BASE}/mbase.a

#
#  ----->>>   Compile files related to MARS with Makefiles in their
#	      directories.
#
SUBDIRS = ${INCLUDE_EVITA_BASE} \
	  ${INCLUDE_EVITA_MC}   \
	  ${INCLUDE_EVITA_RAW}

LIBRARIES = $(SUBDIRS:=.a)
MRPROPERS = $(SUBDIRS:=.mrproper)
CLEANERS  = $(SUBDIRS:=.clean)

#------------------------------------------------------------------------------

#.SILENT:

.SUFFIXES: .c .cc .cxx .C .c++ .h .hxx .H .h++ .o .so .f

SRCS = \
	${INCLUDE_MC}/MCEventHeader.cxx \
	${INCLUDE_MC}/MCCphoton.cxx \
	${INCLUDE_LONS}/MLons.cxx \
	${INCLUDE_STAR}/MStarLight.cxx \
	${INCLUDE_TRIGGER}/MTrigger.cxx \
	${INCLUDE_TRIGGER}/MGTriggerSignal.cxx \
	${INCLUDE_FADC}/MFadc.cxx \
	${INCLUDE_FADC}/MGFadcSignal.cxx \
	MCamCint.cxx \
	creadparam.cxx \
	camera.cxx   

HEADERS = \
	MCEventHeader.hxx \
	MCCphoton.hxx \
	MLons.hxx \
	MStarLight.hxx \
	MTRigger.hxx \
	MGTriggerSignal.hxx \
	MFadc.hxx \
	MGFadcSignal.hxx \
	lagrange.h \
	atm.h \
	creadparam.h \
	camera.h

OBJS = \
	${INCLUDE_MC}/MCEventHeader.o \
	${INCLUDE_MC}/MCCphoton.o \
	${INCLUDE_LONS}/MLons.o \
	${INCLUDE_STAR}/MStarLight.o \
	${INCLUDE_TRIGGER}/MTrigger.o \
	${INCLUDE_TRIGGER}/MGTriggerSignal.o \
	${INCLUDE_FADC}/MFadc.o \
	${INCLUDE_FADC}/MGFadcSignal.o \
	MCamCint.o \
	creadparam.o \
	camera.o      

############################################################

all: rmlib $(PROGRAM) 
	@echo " Done. "
	@echo " "

$(PROGRAM): $(LIBRARIES) $(OBJS) $(PROGRAMS:=.o) 
	@echo " Linking $@ ..." 
	$(CXX) $(CXXFLAGS) $(OBJS) $(LIBS) -o $@

$(LIBRARIES): makefiles
	@echo " Creating lib$@:"
	(cd $(@:.a=);make; cd ..)

$(MRPROPERS): makefiles
	@echo " Doing Mr.Proper in $(@:.mrproper=)"
	(cd $(@:.mrproper=); (make mrproper > /dev/null); cd ..;) 


$(CLEANERS): makefiles
	@echo "Cleaning $(@:.clean=):"
	(cd $(@:.clean=); make clean; cd ..;) 
depend:
	@makedepend $(SRCS) $(INCLUDES) -fMakefile 2> kk.kk ; cat kk.kk

doc: camera-doc

camera-doc: 
	@echo "Generating documentation for camera . . . "
	$(DOCUM) -latex -o camera.tex \
	camera.cxx camera.h \
	creadparam.cxx creadparam.h \
	moments.cxx moments.h
	latex "\nonstopmode\input{camera.tex}" && \
	makeindex camera && \
	latex "\nonstopmode\input{camera.tex}" && \
	latex "\nonstopmode\input{camera.tex}"
	@echo "Files camera.tex and camera.dvi generated."

MCamCint.cxx: 	${INCLUDE_EVITA_RAW}/MRawRunHeader.h \
		${INCLUDE_EVITA_RAW}/RawIncl.h \
		${INCLUDE_EVITA_BASE}/BaseIncl.h \
		${INCLUDE_EVITA_BASE}/MArray.h \
		${INCLUDE_EVITA_BASE}/MArrayB.h \
		${INCLUDE_EVITA_BASE}/MArrayS.h \
		${INCLUDE_EVITA_BASE}/MTime.h \
		${INCLUDE_EVITA_BASE}/MLog.h \
		${INCLUDE_EVITA_RAW}/MRawEvtPixelIter.h \
		${INCLUDE_EVITA_RAW}/MRawCrateArray.h \
		${INCLUDE_EVITA_RAW}/MRawCrateData.h \
		${INCLUDE_EVITA_RAW}/MRawEvtHeader.h \
		${INCLUDE_EVITA_RAW}/MRawEvtData.h \
		${INCLUDE_EVITA_MC}/MMcEvt.hxx \
		${INCLUDE_EVITA_MC}/MMcTrig.hxx \
		${INCLUDE_EVITA_MC}/MMcRunHeader.hxx \
		${INCLUDE_EVITA_MC}/MMcTrigHeader.hxx \
		${INCLUDE_EVITA_MC}/MMcFadcHeader.hxx \
		${INCLUDE_EVITA_BASE}/MParContainer.h \
		${INCLUDE_EVITA_MC}/Mdefine.h

		@echo
		@echo "Generating dictionary ..."
		@echo

		@$(ROOTSYS)/bin/rootcint  -f \
		MCamCint.cxx -c \
		-I${INCLUDE_EVITA_BASE} \
		${INCLUDE_EVITA_RAW}/MRawRunHeader.h \
		${INCLUDE_EVITA_RAW}/RawIncl.h \
		${INCLUDE_EVITA_BASE}/BaseIncl.h \
		${INCLUDE_EVITA_BASE}/MArray.h \
		${INCLUDE_EVITA_BASE}/MArrayB.h \
		${INCLUDE_EVITA_BASE}/MArrayS.h \
		${INCLUDE_EVITA_BASE}/MTime.h \
		${INCLUDE_EVITA_BASE}/MLog.h \
		${INCLUDE_EVITA_RAW}/MRawEvtPixelIter.h \
		${INCLUDE_EVITA_RAW}/MRawCrateArray.h \
		${INCLUDE_EVITA_RAW}/MRawCrateData.h \
		${INCLUDE_EVITA_RAW}/MRawEvtHeader.h \
		${INCLUDE_EVITA_RAW}/MRawEvtData.h \
		${INCLUDE_EVITA_MC}/MMcEvt.hxx \
		${INCLUDE_EVITA_MC}/MMcTrig.hxx \
		${INCLUDE_EVITA_MC}/MMcRunHeader.hxx \
		${INCLUDE_EVITA_MC}/MMcTrigHeader.hxx \
		${INCLUDE_EVITA_MC}/MMcFadcHeader.hxx \
		${INCLUDE_EVITA_BASE}/MParContainer.h \
		${INCLUDE_EVITA_MC}/Mdefine.h \
		LinkDef.h

		@echo
		@echo "Dictionary done"
		@echo

.cxx.o:	
	@echo "Compiling " $<
	$(CXX) $(CXXFLAGS) -c $< -o $@

.cc.o:	
	@echo "Compiling " $<
	$(CXX) $(CXXFLAGS) -c $< -o $@

.c.o:	
	@echo "Compiling " $<
	$(CC) $(CFLAGS) -c $< -o $@

makefiles:
	@cp Makefile.* ${INCLUDE_EVITA}

lclean:
	@echo "Cleanning..."
	@rm -f *.o core 

clean:  $(CLEANERS) rmcint rmobjs
	@echo "Cleanning...done"

mrproper: clean $(MRPROPERS)
	@echo "Mr.Proper in action . . ."
	@rm -f $(PROGRAM)

listsrc:
	@ls -m $(SRCS) $(HEADERS) | sed 's/,//g'

redo: clean all

cflags: 
	@echo $(INCLUDES) $(CXXFLAGS)

#
# The cleaning facility
#

rmcint:	
	@echo " Removing cint-stuff..."
	@rm -f *Cint.*

rmlib:	
	@echo " Removing libraries..."
	@echo " "
	@rm -f lib/lib*.a lib*.a

rmobjs:	
	@echo " Removing object files..."
	@rm -f *.o

rmcore:	
	@echo " Removing core files..."
	@rm -f core*

rmbin:	
	@echo " Removing binary files..."
	@rm -f $(PROGRAM) lib/$(SOLIB) so_locations

rmbak:
	@echo " Removing backup files..."
	@rm -f *~ kk.kk *.bak

rmbakmac:
	@echo " Removing backup files in macros"
	@rm -f macros/*~

rmhtml:
	@echo " Removing htmldoc-tree"
	@rm -rf htmldoc
# @endcode

# DO NOT DELETE THIS LINE -- make depend depends on it.

../include-MC/MCEventHeader.o: ../include-MC/MCEventHeader.hxx
../include-MC/MCEventHeader.o: ../include-GENERAL/Rtypes.h
../include-MC/MCEventHeader.o: /usr/include/cxx/iostream.h
../include-MC/MCEventHeader.o: /usr/include/cxx/iostream.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/compnent.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/iostream_impl.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/cxxl.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/cxxl_share.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/messages.hxx
../include-MC/MCEventHeader.o: /usr/include/stddef.h /usr/include/standards.h
../include-MC/MCEventHeader.o: /usr/include/stdio.h /usr/include/sys/seek.h
../include-MC/MCEventHeader.o: /usr/include/va_list.h
../include-MC/MCEventHeader.o: /usr/include/sys/types.h
../include-MC/MCEventHeader.o: /usr/include/mach/machine/vm_types.h
../include-MC/MCEventHeader.o: /usr/include/sys/select.h
../include-MC/MCEventHeader.o: /usr/include/getopt.h
../include-MC/MCEventHeader.o: /usr/include/sys/limits.h
../include-MC/MCEventHeader.o: /usr/include/sys/machine/machlimits.h
../include-MC/MCEventHeader.o: /usr/include/sys/syslimits.h
../include-MC/MCEventHeader.o: /usr/include/sys/machine/machtime.h
../include-MC/MCEventHeader.o: /usr/include/sys/rt_limits.h
../include-MC/MCEventHeader.o: /usr/include/limits.h /usr/include/memory.h
../include-MC/MCEventHeader.o: /usr/include/string.h /usr/include/strings.h
../include-MC/MCEventHeader.o: /usr/include/cxx/iomanip.h
../include-MC/MCEventHeader.o: /usr/include/cxx/iomanip.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/iomanip_impl.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/generic.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/mutex.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/fstream.h
../include-MC/MCEventHeader.o: /usr/include/cxx/fstream.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/fstream_impl.hxx
../include-MC/MCEventHeader.o: /usr/include/stdlib.h /usr/include/math.h
../include-MC/MCEventHeader.o: ../include-CORSIKA/COREventHeader.hxx
../include-MC/MCCphoton.o: ../include-MC/MCCphoton.hxx
../include-MC/MCCphoton.o: ../include-GENERAL/Rtypes.h
../include-MC/MCCphoton.o: /usr/include/cxx/iostream.h
../include-MC/MCCphoton.o: /usr/include/cxx/iostream.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/compnent.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/iostream_impl.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/cxxl.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/cxxl_share.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/messages.hxx
../include-MC/MCCphoton.o: /usr/include/stddef.h /usr/include/standards.h
../include-MC/MCCphoton.o: /usr/include/stdio.h /usr/include/sys/seek.h
../include-MC/MCCphoton.o: /usr/include/va_list.h /usr/include/sys/types.h
../include-MC/MCCphoton.o: /usr/include/mach/machine/vm_types.h
../include-MC/MCCphoton.o: /usr/include/sys/select.h /usr/include/getopt.h
../include-MC/MCCphoton.o: /usr/include/sys/limits.h
../include-MC/MCCphoton.o: /usr/include/sys/machine/machlimits.h
../include-MC/MCCphoton.o: /usr/include/sys/syslimits.h
../include-MC/MCCphoton.o: /usr/include/sys/machine/machtime.h
../include-MC/MCCphoton.o: /usr/include/sys/rt_limits.h /usr/include/limits.h
../include-MC/MCCphoton.o: /usr/include/memory.h /usr/include/string.h
../include-MC/MCCphoton.o: /usr/include/strings.h /usr/include/cxx/iomanip.h
../include-MC/MCCphoton.o: /usr/include/cxx/iomanip.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/iomanip_impl.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/generic.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/mutex.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/fstream.h
../include-MC/MCCphoton.o: /usr/include/cxx/fstream.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/fstream_impl.hxx
../include-MC/MCCphoton.o: /usr/include/stdlib.h /usr/include/math.h
../include-MC/MCCphoton.o: ../include-GENERAL/jcmacros.h
../include-MLons/MLons.o: ../include-MLons/MLons.hxx
../include-MLons/MLons.o: /usr/include/cxx/iostream.h
../include-MLons/MLons.o: /usr/include/cxx/iostream.hxx
../include-MLons/MLons.o: /usr/include/cxx/compnent.hxx
../include-MLons/MLons.o: /usr/include/cxx/iostream_impl.hxx
../include-MLons/MLons.o: /usr/include/cxx/cxxl.hxx
../include-MLons/MLons.o: /usr/include/cxx/cxxl_share.hxx
../include-MLons/MLons.o: /usr/include/cxx/messages.hxx /usr/include/stddef.h
../include-MLons/MLons.o: /usr/include/standards.h /usr/include/stdio.h
../include-MLons/MLons.o: /usr/include/sys/seek.h /usr/include/va_list.h
../include-MLons/MLons.o: /usr/include/sys/types.h
../include-MLons/MLons.o: /usr/include/mach/machine/vm_types.h
../include-MLons/MLons.o: /usr/include/sys/select.h /usr/include/getopt.h
../include-MLons/MLons.o: /usr/include/sys/limits.h
../include-MLons/MLons.o: /usr/include/sys/machine/machlimits.h
../include-MLons/MLons.o: /usr/include/sys/syslimits.h
../include-MLons/MLons.o: /usr/include/sys/machine/machtime.h
../include-MLons/MLons.o: /usr/include/sys/rt_limits.h /usr/include/limits.h
../include-MLons/MLons.o: /usr/include/memory.h /usr/include/string.h
../include-MLons/MLons.o: /usr/include/strings.h /usr/include/math.h
../include-MLons/MLons.o: /usr/include/stdlib.h /CERN/root/include/TROOT.h
../include-MLons/MLons.o: /CERN/root/include/TDirectory.h
../include-MLons/MLons.o: /CERN/root/include/TNamed.h
../include-MLons/MLons.o: /CERN/root/include/TObject.h
../include-MLons/MLons.o: ../include-GENERAL/Rtypes.h
../include-MLons/MLons.o: /CERN/root/include/Varargs.h /usr/include/stdarg.h
../include-MLons/MLons.o: /CERN/root/include/TStorage.h
../include-MLons/MLons.o: /CERN/root/include/TBuffer.h
../include-MLons/MLons.o: /CERN/root/include/Bytes.h
../include-MLons/MLons.o: /CERN/root/include/TList.h
../include-MLons/MLons.o: /CERN/root/include/TSeqCollection.h
../include-MLons/MLons.o: /CERN/root/include/TCollection.h
../include-MLons/MLons.o: /CERN/root/include/TIterator.h
../include-MLons/MLons.o: /CERN/root/include/TString.h
../include-MLons/MLons.o: /CERN/root/include/TMath.h /usr/include/float.h
../include-MLons/MLons.o: /usr/include/fp_class.h
../include-MLons/MLons.o: /CERN/root/include/TRefCnt.h
../include-MLons/MLons.o: /CERN/root/include/TDatime.h
../include-MLons/MLons.o: /CERN/root/include/Htypes.h
../include-MLons/MLons.o: /CERN/root/include/TRandom.h
../include-MLons/MLons.o: /CERN/root/include/TH1.h
../include-MLons/MLons.o: /CERN/root/include/TVirtualHistPainter.h
../include-MLons/MLons.o: /CERN/root/include/TClass.h
../include-MLons/MLons.o: /CERN/root/include/TDictionary.h
../include-MLons/MLons.o: /CERN/root/include/Property.h
../include-MLons/MLons.o: /CERN/root/include/TAxis.h
../include-MLons/MLons.o: /CERN/root/include/TAttAxis.h
../include-MLons/MLons.o: /CERN/root/include/Gtypes.h
../include-MLons/MLons.o: /CERN/root/include/TArrayD.h
../include-MLons/MLons.o: /CERN/root/include/TArray.h
../include-MLons/MLons.o: /CERN/root/include/THashList.h
../include-MLons/MLons.o: /CERN/root/include/TAttLine.h
../include-MLons/MLons.o: /CERN/root/include/TAttFill.h
../include-MLons/MLons.o: /CERN/root/include/TAttMarker.h
../include-MLons/MLons.o: /CERN/root/include/TArrayC.h
../include-MLons/MLons.o: /CERN/root/include/TArrayS.h
../include-MLons/MLons.o: /CERN/root/include/TArrayF.h
../include-MLons/MLons.o: ../../../include-Classes/MMcFormat/Mdefine.h
../include-MLons/MLons.o: ../../../include-Classes/MMcFormat/MMcEvt.hxx
../include-MLons/MLons.o: ../../../include-Classes/MBase/MParContainer.h
../include-MLons/MLons.o: ../../../include-Classes/MBase/MAGIC.h
../include-MLons/MLons.o: ../../../include-Classes/MBase/MLog.h
../include-MLons/MLons.o: ../../../include-Classes/MMcFormat/MTriggerDefine.h
../include-MLons/MLons.o: ../include-MFadc/MFadc.hxx
../include-MLons/MLons.o: /usr/include/cxx/stream.h
../include-MLons/MLons.o: /usr/include/cxx/stream.hxx
../include-MLons/MLons.o: /usr/include/cxx/iomanip.hxx
../include-MLons/MLons.o: /usr/include/cxx/iomanip_impl.hxx
../include-MLons/MLons.o: /usr/include/cxx/generic.hxx
../include-MLons/MLons.o: /usr/include/cxx/mutex.hxx
../include-MLons/MLons.o: ../../../include-Classes/MMcFormat/MFadcDefine.h
../include-MLons/MLons.o: ../StarResponse/MStarLight.hxx
../include-MLons/MLons.o: /CERN/root/include/TFile.h
../include-MLons/MLons.o: /CERN/root/include/TCache.h
../include-MLons/MLons.o: /usr/include/cxx/fstream.h
../include-MLons/MLons.o: /usr/include/cxx/fstream.hxx
../include-MLons/MLons.o: /usr/include/cxx/fstream_impl.hxx
../include-MLons/MLons.o: /CERN/root/include/TRandom2.h
../StarResponse/MStarLight.o: ../StarResponse/MStarLight.hxx
../StarResponse/MStarLight.o: /CERN/root/include/TROOT.h
../StarResponse/MStarLight.o: /CERN/root/include/TDirectory.h
../StarResponse/MStarLight.o: /CERN/root/include/TNamed.h
../StarResponse/MStarLight.o: /CERN/root/include/TObject.h
../StarResponse/MStarLight.o: ../include-GENERAL/Rtypes.h
../StarResponse/MStarLight.o: /CERN/root/include/Varargs.h
../StarResponse/MStarLight.o: /usr/include/stdarg.h /usr/include/standards.h
../StarResponse/MStarLight.o: /usr/include/va_list.h
../StarResponse/MStarLight.o: /CERN/root/include/TStorage.h
../StarResponse/MStarLight.o: /CERN/root/include/TBuffer.h
../StarResponse/MStarLight.o: /CERN/root/include/Bytes.h
../StarResponse/MStarLight.o: /usr/include/string.h /usr/include/sys/types.h
../StarResponse/MStarLight.o: /usr/include/mach/machine/vm_types.h
../StarResponse/MStarLight.o: /usr/include/sys/select.h
../StarResponse/MStarLight.o: /usr/include/strings.h
../StarResponse/MStarLight.o: /CERN/root/include/TList.h
../StarResponse/MStarLight.o: /CERN/root/include/TSeqCollection.h
../StarResponse/MStarLight.o: /CERN/root/include/TCollection.h
../StarResponse/MStarLight.o: /CERN/root/include/TIterator.h
../StarResponse/MStarLight.o: /CERN/root/include/TString.h
../StarResponse/MStarLight.o: /CERN/root/include/TMath.h /usr/include/float.h
../StarResponse/MStarLight.o: /usr/include/fp_class.h
../StarResponse/MStarLight.o: /CERN/root/include/TRefCnt.h
../StarResponse/MStarLight.o: /CERN/root/include/TDatime.h
../StarResponse/MStarLight.o: /CERN/root/include/Htypes.h
../StarResponse/MStarLight.o: /CERN/root/include/TH1.h
../StarResponse/MStarLight.o: /CERN/root/include/TVirtualHistPainter.h
../StarResponse/MStarLight.o: /CERN/root/include/TClass.h
../StarResponse/MStarLight.o: /CERN/root/include/TDictionary.h
../StarResponse/MStarLight.o: /CERN/root/include/Property.h
../StarResponse/MStarLight.o: /CERN/root/include/TAxis.h
../StarResponse/MStarLight.o: /CERN/root/include/TAttAxis.h
../StarResponse/MStarLight.o: /CERN/root/include/Gtypes.h
../StarResponse/MStarLight.o: /CERN/root/include/TArrayD.h
../StarResponse/MStarLight.o: /CERN/root/include/TArray.h
../StarResponse/MStarLight.o: /CERN/root/include/THashList.h
../StarResponse/MStarLight.o: /CERN/root/include/TAttLine.h
../StarResponse/MStarLight.o: /CERN/root/include/TAttFill.h
../StarResponse/MStarLight.o: /CERN/root/include/TAttMarker.h
../StarResponse/MStarLight.o: /CERN/root/include/TArrayC.h
../StarResponse/MStarLight.o: /CERN/root/include/TArrayS.h
../StarResponse/MStarLight.o: /CERN/root/include/TArrayF.h
../StarResponse/MStarLight.o: /CERN/root/include/TFile.h
../StarResponse/MStarLight.o: /CERN/root/include/TCache.h
../StarResponse/MStarLight.o: /usr/include/cxx/iostream.h
../StarResponse/MStarLight.o: /usr/include/cxx/iostream.hxx
../StarResponse/MStarLight.o: /usr/include/cxx/compnent.hxx
../StarResponse/MStarLight.o: /usr/include/cxx/iostream_impl.hxx
../StarResponse/MStarLight.o: /usr/include/cxx/cxxl.hxx
../StarResponse/MStarLight.o: /usr/include/cxx/cxxl_share.hxx
../StarResponse/MStarLight.o: /usr/include/cxx/messages.hxx
../StarResponse/MStarLight.o: /usr/include/stddef.h /usr/include/stdio.h
../StarResponse/MStarLight.o: /usr/include/sys/seek.h /usr/include/getopt.h
../StarResponse/MStarLight.o: /usr/include/sys/limits.h
../StarResponse/MStarLight.o: /usr/include/sys/machine/machlimits.h
../StarResponse/MStarLight.o: /usr/include/sys/syslimits.h
../StarResponse/MStarLight.o: /usr/include/sys/machine/machtime.h
../StarResponse/MStarLight.o: /usr/include/sys/rt_limits.h
../StarResponse/MStarLight.o: /usr/include/limits.h /usr/include/memory.h
../StarResponse/MStarLight.o: /usr/include/cxx/fstream.h
../StarResponse/MStarLight.o: /usr/include/cxx/fstream.hxx
../StarResponse/MStarLight.o: /usr/include/cxx/fstream_impl.hxx
../StarResponse/MStarLight.o: /usr/include/stdlib.h
../StarResponse/MStarLight.o: /CERN/root/include/TRandom2.h
../include-MTrigger/MTrigger.o: ../include-MTrigger/MTrigger.hxx
../include-MTrigger/MTrigger.o: /usr/include/cxx/iostream.h
../include-MTrigger/MTrigger.o: /usr/include/cxx/iostream.hxx
../include-MTrigger/MTrigger.o: /usr/include/cxx/compnent.hxx
../include-MTrigger/MTrigger.o: /usr/include/cxx/iostream_impl.hxx
../include-MTrigger/MTrigger.o: /usr/include/cxx/cxxl.hxx
../include-MTrigger/MTrigger.o: /usr/include/cxx/cxxl_share.hxx
../include-MTrigger/MTrigger.o: /usr/include/cxx/messages.hxx
../include-MTrigger/MTrigger.o: /usr/include/stddef.h
../include-MTrigger/MTrigger.o: /usr/include/standards.h /usr/include/stdio.h
../include-MTrigger/MTrigger.o: /usr/include/sys/seek.h
../include-MTrigger/MTrigger.o: /usr/include/va_list.h
../include-MTrigger/MTrigger.o: /usr/include/sys/types.h
../include-MTrigger/MTrigger.o: /usr/include/mach/machine/vm_types.h
../include-MTrigger/MTrigger.o: /usr/include/sys/select.h
../include-MTrigger/MTrigger.o: /usr/include/getopt.h
../include-MTrigger/MTrigger.o: /usr/include/sys/limits.h
../include-MTrigger/MTrigger.o: /usr/include/sys/machine/machlimits.h
../include-MTrigger/MTrigger.o: /usr/include/sys/syslimits.h
../include-MTrigger/MTrigger.o: /usr/include/sys/machine/machtime.h
../include-MTrigger/MTrigger.o: /usr/include/sys/rt_limits.h
../include-MTrigger/MTrigger.o: /usr/include/limits.h /usr/include/memory.h
../include-MTrigger/MTrigger.o: /usr/include/string.h /usr/include/strings.h
../include-MTrigger/MTrigger.o: /usr/include/math.h /usr/include/stdlib.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TROOT.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TDirectory.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TNamed.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TObject.h
../include-MTrigger/MTrigger.o: ../include-GENERAL/Rtypes.h
../include-MTrigger/MTrigger.o: /CERN/root/include/Varargs.h
../include-MTrigger/MTrigger.o: /usr/include/stdarg.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TStorage.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TBuffer.h
../include-MTrigger/MTrigger.o: /CERN/root/include/Bytes.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TList.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TSeqCollection.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TCollection.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TIterator.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TString.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TMath.h
../include-MTrigger/MTrigger.o: /usr/include/float.h /usr/include/fp_class.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TRefCnt.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TDatime.h
../include-MTrigger/MTrigger.o: /CERN/root/include/Htypes.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TRandom.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TH1.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TVirtualHistPainter.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TClass.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TDictionary.h
../include-MTrigger/MTrigger.o: /CERN/root/include/Property.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TAxis.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TAttAxis.h
../include-MTrigger/MTrigger.o: /CERN/root/include/Gtypes.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TArrayD.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TArray.h
../include-MTrigger/MTrigger.o: /CERN/root/include/THashList.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TAttLine.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TAttFill.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TAttMarker.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TArrayC.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TArrayS.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TArrayF.h
../include-MTrigger/MTrigger.o: ../../../include-Classes/MMcFormat/Mdefine.h
../include-MTrigger/MTrigger.o: ../../../include-Classes/MMcFormat/MMcEvt.hxx
../include-MTrigger/MTrigger.o: ../../../include-Classes/MBase/MParContainer.h
../include-MTrigger/MTrigger.o: ../../../include-Classes/MBase/MAGIC.h
../include-MTrigger/MTrigger.o: ../../../include-Classes/MBase/MLog.h
../include-MTrigger/MTrigger.o: ../../../include-Classes/MMcFormat/MTriggerDefine.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TFile.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TCache.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TObjArray.h
../include-MTrigger/MTrigger.o: ../include-MTrigger/MGTriggerSignal.hxx
../include-MTrigger/MTrigger.o: /CERN/root/include/TApplication.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TApplicationImp.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TVirtualX.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TAttText.h
../include-MTrigger/MTrigger.o: /CERN/root/include/GuiTypes.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGListBox.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGFrame.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGWindow.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGObject.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGClient.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TQObject.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGDimension.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGGC.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGLayout.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGString.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGCanvas.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGScrollBar.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGButton.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGWidget.h
../include-MTrigger/MTrigger.o: /CERN/root/include/WidgetMessageTypes.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGIcon.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGLabel.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGTextEntry.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGTextBuffer.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGMsgBox.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGPicture.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGMenu.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGComboBox.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGTab.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGSlider.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGDoubleSlider.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGFileDialog.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TRootEmbeddedCanvas.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TCanvas.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TPad.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TVirtualPad.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TAttPad.h
../include-MTrigger/MTrigger.o: /CERN/root/include/Buttons.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TAttCanvas.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TCanvasImp.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TH2.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TSystem.h
../include-MTrigger/MTrigger.o: /CERN/root/include/G__ci.h
../include-MTrigger/MTrigger.o: /usr/include/signal.h
../include-MTrigger/MTrigger.o: /usr/include/sys/siginfo.h
../include-MTrigger/MTrigger.o: /usr/include/sys/sysmisc.h
../include-MTrigger/MTrigger.o: /usr/include/machine/signal.h
../include-MTrigger/MTrigger.o: /usr/include/machine/context.h
../include-MTrigger/MTrigger.o: /usr/include/sys/procset.h
../include-MTrigger/MTrigger.o: /usr/include/assert.h /usr/include/setjmp.h
../include-MTrigger/MTrigger.o: /usr/include/ctype.h
../include-MTrigger/MTrigger.o: /usr/include/sys/localedef.h
../include-MTrigger/MTrigger.o: /usr/include/sys/lc_core.h
../include-MTrigger/MTrigger.o: /usr/include/locale.h /usr/include/nl_types.h
../include-MTrigger/MTrigger.o: /usr/include/mesg.h /usr/include/fcntl.h
../include-MTrigger/MTrigger.o: /usr/include/sys/fcntl.h
../include-MTrigger/MTrigger.o: /usr/include/sys/mode.h /usr/include/unistd.h
../include-MTrigger/MTrigger.o: /usr/include/sys/access.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TInetAddress.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TTimer.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TSysEvtHandler.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TTime.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TEnv.h
../include-MTrigger/MGTriggerSignal.o: ../include-MTrigger/MGTriggerSignal.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/stdlib.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/standards.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/getopt.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/types.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/mach/machine/vm_types.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/select.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/iostream.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/iostream.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/compnent.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/iostream_impl.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/cxxl.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/cxxl_share.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/messages.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/stddef.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/stdio.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/seek.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/va_list.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/limits.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/machine/machlimits.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/syslimits.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/machine/machtime.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/rt_limits.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/limits.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/memory.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/string.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/strings.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TROOT.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TDirectory.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TNamed.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TObject.h
../include-MTrigger/MGTriggerSignal.o: ../include-GENERAL/Rtypes.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/Varargs.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/stdarg.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TStorage.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TBuffer.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/Bytes.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TList.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TSeqCollection.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TCollection.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TIterator.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TString.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TMath.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/float.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/fp_class.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TRefCnt.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TDatime.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/Htypes.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TApplication.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TApplicationImp.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TVirtualX.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TAttText.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/GuiTypes.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGListBox.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGFrame.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGWindow.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGObject.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGClient.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TQObject.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGDimension.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGGC.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGLayout.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGString.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGCanvas.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGScrollBar.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGButton.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGWidget.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/WidgetMessageTypes.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGIcon.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGLabel.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGTextEntry.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGTextBuffer.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGMsgBox.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGPicture.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGMenu.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGComboBox.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGTab.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGSlider.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGDoubleSlider.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGFileDialog.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TRootEmbeddedCanvas.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TCanvas.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TPad.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TVirtualPad.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TAttPad.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/Buttons.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TAttCanvas.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TCanvasImp.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TH1.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TVirtualHistPainter.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TClass.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TDictionary.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/Property.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TAxis.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TAttAxis.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/Gtypes.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TArrayD.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TArray.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/THashList.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TAttLine.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TAttFill.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TAttMarker.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TArrayC.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TArrayS.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TArrayF.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TH2.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TRandom.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TSystem.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/G__ci.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/math.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/signal.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/siginfo.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/sysmisc.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/machine/signal.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/machine/context.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/procset.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/assert.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/setjmp.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/ctype.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/localedef.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/lc_core.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/locale.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/nl_types.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/mesg.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/fcntl.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/fcntl.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/mode.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/unistd.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/access.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TInetAddress.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TTimer.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TSysEvtHandler.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TTime.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TEnv.h
../include-MTrigger/MGTriggerSignal.o: ../../../include-Classes/MMcFormat/MMcEvt.hxx
../include-MTrigger/MGTriggerSignal.o: ../../../include-Classes/MBase/MParContainer.h
../include-MTrigger/MGTriggerSignal.o: ../../../include-Classes/MBase/MAGIC.h
../include-MTrigger/MGTriggerSignal.o: ../../../include-Classes/MBase/MLog.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TPavesText.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TPaveText.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TPave.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TBox.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TText.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TLine.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TObjArray.h
../include-MFadc/MFadc.o: ../include-MFadc/MFadc.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/stream.h
../include-MFadc/MFadc.o: /usr/include/cxx/stream.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/compnent.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/cxxl.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/cxxl_share.hxx
../include-MFadc/MFadc.o: /usr/include/stddef.h /usr/include/standards.h
../include-MFadc/MFadc.o: /usr/include/stdarg.h /usr/include/va_list.h
../include-MFadc/MFadc.o: /usr/include/cxx/iomanip.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/iomanip_impl.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/generic.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/iostream.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/iostream_impl.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/messages.hxx /usr/include/stdio.h
../include-MFadc/MFadc.o: /usr/include/sys/seek.h /usr/include/sys/types.h
../include-MFadc/MFadc.o: /usr/include/mach/machine/vm_types.h
../include-MFadc/MFadc.o: /usr/include/sys/select.h /usr/include/getopt.h
../include-MFadc/MFadc.o: /usr/include/sys/limits.h
../include-MFadc/MFadc.o: /usr/include/sys/machine/machlimits.h
../include-MFadc/MFadc.o: /usr/include/sys/syslimits.h
../include-MFadc/MFadc.o: /usr/include/sys/machine/machtime.h
../include-MFadc/MFadc.o: /usr/include/sys/rt_limits.h /usr/include/limits.h
../include-MFadc/MFadc.o: /usr/include/memory.h /usr/include/string.h
../include-MFadc/MFadc.o: /usr/include/strings.h /usr/include/cxx/mutex.hxx
../include-MFadc/MFadc.o: /usr/include/math.h /usr/include/stdlib.h
../include-MFadc/MFadc.o: /CERN/root/include/TObject.h
../include-MFadc/MFadc.o: ../include-GENERAL/Rtypes.h
../include-MFadc/MFadc.o: /CERN/root/include/Varargs.h
../include-MFadc/MFadc.o: /CERN/root/include/TStorage.h
../include-MFadc/MFadc.o: /CERN/root/include/TBuffer.h
../include-MFadc/MFadc.o: /CERN/root/include/Bytes.h
../include-MFadc/MFadc.o: /CERN/root/include/TRandom.h
../include-MFadc/MFadc.o: ../../../include-Classes/MMcFormat/Mdefine.h
../include-MFadc/MFadc.o: ../../../include-Classes/MMcFormat/MTriggerDefine.h
../include-MFadc/MFadc.o: ../../../include-Classes/MMcFormat/MFadcDefine.h
../include-MFadc/MFadc.o: ../../../include-Classes/MMcFormat/MMcEvt.hxx
../include-MFadc/MFadc.o: ../../../include-Classes/MBase/MParContainer.h
../include-MFadc/MFadc.o: ../../../include-Classes/MBase/MAGIC.h
../include-MFadc/MFadc.o: ../../../include-Classes/MBase/MLog.h
../include-MFadc/MFadc.o: /usr/include/cxx/iostream.h
../include-MFadc/MFadc.o: /CERN/root/include/TROOT.h
../include-MFadc/MFadc.o: /CERN/root/include/TDirectory.h
../include-MFadc/MFadc.o: /CERN/root/include/TNamed.h
../include-MFadc/MFadc.o: /CERN/root/include/TList.h
../include-MFadc/MFadc.o: /CERN/root/include/TSeqCollection.h
../include-MFadc/MFadc.o: /CERN/root/include/TCollection.h
../include-MFadc/MFadc.o: /CERN/root/include/TIterator.h
../include-MFadc/MFadc.o: /CERN/root/include/TString.h
../include-MFadc/MFadc.o: /CERN/root/include/TMath.h /usr/include/float.h
../include-MFadc/MFadc.o: /usr/include/fp_class.h
../include-MFadc/MFadc.o: /CERN/root/include/TRefCnt.h
../include-MFadc/MFadc.o: /CERN/root/include/TDatime.h
../include-MFadc/MFadc.o: /CERN/root/include/Htypes.h
../include-MFadc/MFadc.o: /CERN/root/include/TApplication.h
../include-MFadc/MFadc.o: /CERN/root/include/TApplicationImp.h
../include-MFadc/MFadc.o: /CERN/root/include/TVirtualX.h
../include-MFadc/MFadc.o: /CERN/root/include/TAttText.h
../include-MFadc/MFadc.o: /CERN/root/include/GuiTypes.h
../include-MFadc/MFadc.o: /CERN/root/include/TGClient.h
../include-MFadc/MFadc.o: /CERN/root/include/TH1.h
../include-MFadc/MFadc.o: /CERN/root/include/TVirtualHistPainter.h
../include-MFadc/MFadc.o: /CERN/root/include/TClass.h
../include-MFadc/MFadc.o: /CERN/root/include/TDictionary.h
../include-MFadc/MFadc.o: /CERN/root/include/Property.h
../include-MFadc/MFadc.o: /CERN/root/include/TAxis.h
../include-MFadc/MFadc.o: /CERN/root/include/TAttAxis.h
../include-MFadc/MFadc.o: /CERN/root/include/Gtypes.h
../include-MFadc/MFadc.o: /CERN/root/include/TArrayD.h
../include-MFadc/MFadc.o: /CERN/root/include/TArray.h
../include-MFadc/MFadc.o: /CERN/root/include/THashList.h
../include-MFadc/MFadc.o: /CERN/root/include/TAttLine.h
../include-MFadc/MFadc.o: /CERN/root/include/TAttFill.h
../include-MFadc/MFadc.o: /CERN/root/include/TAttMarker.h
../include-MFadc/MFadc.o: /CERN/root/include/TArrayC.h
../include-MFadc/MFadc.o: /CERN/root/include/TArrayS.h
../include-MFadc/MFadc.o: /CERN/root/include/TArrayF.h
../include-MFadc/MFadc.o: /CERN/root/include/TObjArray.h
../include-MFadc/MFadc.o: ../include-MFadc/MGFadcSignal.hxx
../include-MFadc/MFadc.o: /CERN/root/include/TGListBox.h
../include-MFadc/MFadc.o: /CERN/root/include/TGFrame.h
../include-MFadc/MFadc.o: /CERN/root/include/TGWindow.h
../include-MFadc/MFadc.o: /CERN/root/include/TGObject.h
../include-MFadc/MFadc.o: /CERN/root/include/TQObject.h
../include-MFadc/MFadc.o: /CERN/root/include/TGDimension.h
../include-MFadc/MFadc.o: /CERN/root/include/TGGC.h
../include-MFadc/MFadc.o: /CERN/root/include/TGLayout.h
../include-MFadc/MFadc.o: /CERN/root/include/TGString.h
../include-MFadc/MFadc.o: /CERN/root/include/TGCanvas.h
../include-MFadc/MFadc.o: /CERN/root/include/TGScrollBar.h
../include-MFadc/MFadc.o: /CERN/root/include/TGButton.h
../include-MFadc/MFadc.o: /CERN/root/include/TGWidget.h
../include-MFadc/MFadc.o: /CERN/root/include/WidgetMessageTypes.h
../include-MFadc/MFadc.o: /CERN/root/include/TGIcon.h
../include-MFadc/MFadc.o: /CERN/root/include/TGLabel.h
../include-MFadc/MFadc.o: /CERN/root/include/TGTextEntry.h
../include-MFadc/MFadc.o: /CERN/root/include/TGTextBuffer.h
../include-MFadc/MFadc.o: /CERN/root/include/TGMsgBox.h
../include-MFadc/MFadc.o: /CERN/root/include/TGPicture.h
../include-MFadc/MFadc.o: /CERN/root/include/TGMenu.h
../include-MFadc/MFadc.o: /CERN/root/include/TGComboBox.h
../include-MFadc/MFadc.o: /CERN/root/include/TGTab.h
../include-MFadc/MFadc.o: /CERN/root/include/TGSlider.h
../include-MFadc/MFadc.o: /CERN/root/include/TGDoubleSlider.h
../include-MFadc/MFadc.o: /CERN/root/include/TGFileDialog.h
../include-MFadc/MFadc.o: /CERN/root/include/TRootEmbeddedCanvas.h
../include-MFadc/MFadc.o: /CERN/root/include/TCanvas.h
../include-MFadc/MFadc.o: /CERN/root/include/TPad.h
../include-MFadc/MFadc.o: /CERN/root/include/TVirtualPad.h
../include-MFadc/MFadc.o: /CERN/root/include/TAttPad.h
../include-MFadc/MFadc.o: /CERN/root/include/Buttons.h
../include-MFadc/MFadc.o: /CERN/root/include/TAttCanvas.h
../include-MFadc/MFadc.o: /CERN/root/include/TCanvasImp.h
../include-MFadc/MFadc.o: /CERN/root/include/TH2.h
../include-MFadc/MFadc.o: /CERN/root/include/TSystem.h
../include-MFadc/MFadc.o: /CERN/root/include/G__ci.h /usr/include/signal.h
../include-MFadc/MFadc.o: /usr/include/sys/siginfo.h
../include-MFadc/MFadc.o: /usr/include/sys/sysmisc.h
../include-MFadc/MFadc.o: /usr/include/machine/signal.h
../include-MFadc/MFadc.o: /usr/include/machine/context.h
../include-MFadc/MFadc.o: /usr/include/sys/procset.h /usr/include/assert.h
../include-MFadc/MFadc.o: /usr/include/setjmp.h /usr/include/ctype.h
../include-MFadc/MFadc.o: /usr/include/sys/localedef.h
../include-MFadc/MFadc.o: /usr/include/sys/lc_core.h /usr/include/locale.h
../include-MFadc/MFadc.o: /usr/include/nl_types.h /usr/include/mesg.h
../include-MFadc/MFadc.o: /usr/include/fcntl.h /usr/include/sys/fcntl.h
../include-MFadc/MFadc.o: /usr/include/sys/mode.h /usr/include/unistd.h
../include-MFadc/MFadc.o: /usr/include/sys/access.h
../include-MFadc/MFadc.o: /CERN/root/include/TInetAddress.h
../include-MFadc/MFadc.o: /CERN/root/include/TTimer.h
../include-MFadc/MFadc.o: /CERN/root/include/TSysEvtHandler.h
../include-MFadc/MFadc.o: /CERN/root/include/TTime.h
../include-MFadc/MFadc.o: /CERN/root/include/TEnv.h
../include-MFadc/MGFadcSignal.o: ../include-MFadc/MGFadcSignal.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/stdlib.h
../include-MFadc/MGFadcSignal.o: /usr/include/standards.h
../include-MFadc/MGFadcSignal.o: /usr/include/getopt.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/types.h
../include-MFadc/MGFadcSignal.o: /usr/include/mach/machine/vm_types.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/select.h
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/iostream.h
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/iostream.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/compnent.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/iostream_impl.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/cxxl.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/cxxl_share.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/messages.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/stddef.h /usr/include/stdio.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/seek.h
../include-MFadc/MGFadcSignal.o: /usr/include/va_list.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/limits.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/machine/machlimits.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/syslimits.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/machine/machtime.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/rt_limits.h
../include-MFadc/MGFadcSignal.o: /usr/include/limits.h /usr/include/memory.h
../include-MFadc/MGFadcSignal.o: /usr/include/string.h /usr/include/strings.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TROOT.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TDirectory.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TNamed.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TObject.h
../include-MFadc/MGFadcSignal.o: ../include-GENERAL/Rtypes.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/Varargs.h
../include-MFadc/MGFadcSignal.o: /usr/include/stdarg.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TStorage.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TBuffer.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/Bytes.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TList.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TSeqCollection.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TCollection.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TIterator.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TString.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TMath.h
../include-MFadc/MGFadcSignal.o: /usr/include/float.h /usr/include/fp_class.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TRefCnt.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TDatime.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/Htypes.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TApplication.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TApplicationImp.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TVirtualX.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TAttText.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/GuiTypes.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGListBox.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGFrame.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGWindow.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGObject.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGClient.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TQObject.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGDimension.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGGC.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGLayout.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGString.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGCanvas.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGScrollBar.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGButton.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGWidget.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/WidgetMessageTypes.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGIcon.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGLabel.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGTextEntry.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGTextBuffer.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGMsgBox.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGPicture.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGMenu.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGComboBox.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGTab.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGSlider.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGDoubleSlider.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGFileDialog.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TRootEmbeddedCanvas.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TCanvas.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TPad.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TVirtualPad.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TAttPad.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/Buttons.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TAttCanvas.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TCanvasImp.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TH1.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TVirtualHistPainter.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TClass.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TDictionary.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/Property.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TAxis.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TAttAxis.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/Gtypes.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TArrayD.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TArray.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/THashList.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TAttLine.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TAttFill.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TAttMarker.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TArrayC.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TArrayS.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TArrayF.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TH2.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TRandom.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TSystem.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/G__ci.h
../include-MFadc/MGFadcSignal.o: /usr/include/math.h /usr/include/signal.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/siginfo.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/sysmisc.h
../include-MFadc/MGFadcSignal.o: /usr/include/machine/signal.h
../include-MFadc/MGFadcSignal.o: /usr/include/machine/context.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/procset.h
../include-MFadc/MGFadcSignal.o: /usr/include/assert.h /usr/include/setjmp.h
../include-MFadc/MGFadcSignal.o: /usr/include/ctype.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/localedef.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/lc_core.h
../include-MFadc/MGFadcSignal.o: /usr/include/locale.h
../include-MFadc/MGFadcSignal.o: /usr/include/nl_types.h /usr/include/mesg.h
../include-MFadc/MGFadcSignal.o: /usr/include/fcntl.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/fcntl.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/mode.h
../include-MFadc/MGFadcSignal.o: /usr/include/unistd.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/access.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TInetAddress.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TTimer.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TSysEvtHandler.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TTime.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TEnv.h
../include-MFadc/MGFadcSignal.o: ../../../include-Classes/MMcFormat/MMcEvt.hxx
../include-MFadc/MGFadcSignal.o: ../../../include-Classes/MBase/MParContainer.h
../include-MFadc/MGFadcSignal.o: ../../../include-Classes/MBase/MAGIC.h
../include-MFadc/MGFadcSignal.o: ../../../include-Classes/MBase/MLog.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TPavesText.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TPaveText.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TPave.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TBox.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TText.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TLine.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TObjArray.h
creadparam.o: creadparam.h /usr/include/cxx/iostream.h
creadparam.o: /usr/include/cxx/iostream.hxx /usr/include/cxx/compnent.hxx
creadparam.o: /usr/include/cxx/iostream_impl.hxx /usr/include/cxx/cxxl.hxx
creadparam.o: /usr/include/cxx/cxxl_share.hxx /usr/include/cxx/messages.hxx
creadparam.o: /usr/include/stddef.h /usr/include/standards.h
creadparam.o: /usr/include/stdio.h /usr/include/sys/seek.h
creadparam.o: /usr/include/va_list.h /usr/include/sys/types.h
creadparam.o: /usr/include/mach/machine/vm_types.h /usr/include/sys/select.h
creadparam.o: /usr/include/getopt.h /usr/include/sys/limits.h
creadparam.o: /usr/include/sys/machine/machlimits.h
creadparam.o: /usr/include/sys/syslimits.h
creadparam.o: /usr/include/sys/machine/machtime.h
creadparam.o: /usr/include/sys/rt_limits.h /usr/include/limits.h
creadparam.o: /usr/include/memory.h /usr/include/string.h
creadparam.o: /usr/include/strings.h /usr/include/cxx/fstream.h
creadparam.o: /usr/include/cxx/fstream.hxx /usr/include/cxx/fstream_impl.hxx
creadparam.o: /usr/include/stdlib.h /usr/include/math.h /usr/include/float.h
creadparam.o: /usr/include/fp_class.h ../include-GENERAL/jcmacros.h
creadparam.o: ../include-GENERAL/jcdebug.h camera-v.h
creadparam.o: ../../../include-Classes/MMcFormat/MTriggerDefine.h
creadparam.o: ../../../include-Classes/MMcFormat/MFadcDefine.h
creadparam.o: ../../../include-Classes/MMcFormat/Mdefine.h
camera.o: /CERN/root/include/TROOT.h /CERN/root/include/TDirectory.h
camera.o: /CERN/root/include/TNamed.h /CERN/root/include/TObject.h
camera.o: ../include-GENERAL/Rtypes.h /CERN/root/include/Varargs.h
camera.o: /usr/include/stdarg.h /usr/include/standards.h
camera.o: /usr/include/va_list.h /CERN/root/include/TStorage.h
camera.o: /CERN/root/include/TBuffer.h /CERN/root/include/Bytes.h
camera.o: /usr/include/string.h /usr/include/sys/types.h
camera.o: /usr/include/mach/machine/vm_types.h /usr/include/sys/select.h
camera.o: /usr/include/strings.h /CERN/root/include/TList.h
camera.o: /CERN/root/include/TSeqCollection.h
camera.o: /CERN/root/include/TCollection.h /CERN/root/include/TIterator.h
camera.o: /CERN/root/include/TString.h /CERN/root/include/TMath.h
camera.o: /usr/include/float.h /usr/include/fp_class.h
camera.o: /CERN/root/include/TRefCnt.h /CERN/root/include/TDatime.h
camera.o: /CERN/root/include/Htypes.h /CERN/root/include/TRandom.h
camera.o: /CERN/root/include/TApplication.h
camera.o: /CERN/root/include/TApplicationImp.h /CERN/root/include/TFile.h
camera.o: /CERN/root/include/TCache.h /CERN/root/include/TTree.h
camera.o: /CERN/root/include/TObjArray.h /CERN/root/include/TClonesArray.h
camera.o: /CERN/root/include/TAttLine.h /CERN/root/include/TAttFill.h
camera.o: /CERN/root/include/TAttMarker.h /CERN/root/include/TBranch.h
camera.o: /CERN/root/include/TStringLong.h /CERN/root/include/TCut.h
camera.o: /CERN/root/include/TArrayD.h /CERN/root/include/TArray.h
camera.o: /CERN/root/include/TArrayI.h
camera.o: /CERN/root/include/TVirtualTreePlayer.h /CERN/root/include/TClass.h
camera.o: /CERN/root/include/TDictionary.h /CERN/root/include/Property.h
camera.o: /CERN/root/include/TCanvas.h /CERN/root/include/TPad.h
camera.o: /CERN/root/include/TVirtualPad.h /CERN/root/include/TAttPad.h
camera.o: /CERN/root/include/Buttons.h /CERN/root/include/TAttCanvas.h
camera.o: /CERN/root/include/TCanvasImp.h /CERN/root/include/TArrayC.h
camera.o: ../include-MTrigger/MTrigger.hxx /usr/include/cxx/iostream.h
camera.o: /usr/include/cxx/iostream.hxx /usr/include/cxx/compnent.hxx
camera.o: /usr/include/cxx/iostream_impl.hxx /usr/include/cxx/cxxl.hxx
camera.o: /usr/include/cxx/cxxl_share.hxx /usr/include/cxx/messages.hxx
camera.o: /usr/include/stddef.h /usr/include/stdio.h /usr/include/sys/seek.h
camera.o: /usr/include/getopt.h /usr/include/sys/limits.h
camera.o: /usr/include/sys/machine/machlimits.h /usr/include/sys/syslimits.h
camera.o: /usr/include/sys/machine/machtime.h /usr/include/sys/rt_limits.h
camera.o: /usr/include/limits.h /usr/include/memory.h /usr/include/math.h
camera.o: /usr/include/stdlib.h /CERN/root/include/TH1.h
camera.o: /CERN/root/include/TVirtualHistPainter.h /CERN/root/include/TAxis.h
camera.o: /CERN/root/include/TAttAxis.h /CERN/root/include/Gtypes.h
camera.o: /CERN/root/include/THashList.h /CERN/root/include/TArrayS.h
camera.o: /CERN/root/include/TArrayF.h
camera.o: ../../../include-Classes/MMcFormat/Mdefine.h
camera.o: ../../../include-Classes/MMcFormat/MMcEvt.hxx
camera.o: ../../../include-Classes/MBase/MParContainer.h
camera.o: ../../../include-Classes/MBase/MAGIC.h
camera.o: ../../../include-Classes/MBase/MLog.h
camera.o: ../../../include-Classes/MMcFormat/MTriggerDefine.h
camera.o: ../include-MFadc/MFadc.hxx /usr/include/cxx/stream.h
camera.o: /usr/include/cxx/stream.hxx /usr/include/cxx/iomanip.hxx
camera.o: /usr/include/cxx/iomanip_impl.hxx /usr/include/cxx/generic.hxx
camera.o: /usr/include/cxx/mutex.hxx
camera.o: ../../../include-Classes/MMcFormat/MFadcDefine.h
camera.o: ../include-MLons/MLons.hxx ../StarResponse/MStarLight.hxx
camera.o: /usr/include/cxx/fstream.h /usr/include/cxx/fstream.hxx
camera.o: /usr/include/cxx/fstream_impl.hxx /CERN/root/include/TRandom2.h
camera.o: ../../../include-Classes/MRawFormat/MRawRunHeader.h
camera.o: ../../../include-Classes/MRawFormat/MRawEvtData.h
camera.o: ../../../include-Classes/MRawFormat/MRawEvtHeader.h
camera.o: ../../../include-Classes/MRawFormat/MRawCrateData.h
camera.o: ../../../include-Classes/MMcFormat/MMcTrig.hxx
camera.o: ../../../include-Classes/MMcFormat/MMcRunHeader.hxx
camera.o: ../../../include-Classes/MMcFormat/MMcTrigHeader.hxx
camera.o: ../../../include-Classes/MMcFormat/MMcFadcHeader.hxx camera.h
camera.o: /usr/include/dirent.h /usr/include/unistd.h
camera.o: /usr/include/sys/access.h /usr/include/libgen.h /usr/include/time.h
camera.o: /usr/include/sys/timers.h /usr/include/sys/sysmisc.h camera-v.h
camera.o: ../include-GENERAL/jcmacros.h ../include-GENERAL/jcdebug.h
camera.o: creadparam.h ../ReflectorII/atm.h moments.h
camera.o: ../include-MC/MCEventHeader.hxx /usr/include/cxx/iomanip.h
camera.o: ../include-CORSIKA/COREventHeader.hxx ../include-MC/MCCphoton.hxx
camera.o: ../include-GENERAL/ranlib.h
